containers:
  - name: druid-coordinator
    command: ["/druid.sh"]
    args: ["coordinator"]
    workingDir: "/opt/druid"
    imageDetails:
      imagePath: {docker_image_path}
      username: {docker_image_username}
      password: {docker_image_password}
    ports:
      - containerPort: {coordinator_port}
        protocol: TCP
    config:
      DRUID_XMX: 1g
      DRUID_XMS: 1g
      DRUID_MAXNEWSIZE: 250m
      DRUID_NEWSIZE: 250m
      DRUID_MAXDIRECTMEMORYSIZE: 6172m
      druid_emitter_logging_logLevel: debug
      druid_extensions_loadList: `["postgresql-metadata-storage"]`
      druid_zk_service_host: {zk_host}
      druid_metadata_storage_host:
      druid_metadata_storage_type: {db_type}
      druid_metadata_storage_connector_connectURI: {jdbc_url}
      druid_metadata_storage_connector_user: {db_user}
      druid_metadata_storage_connector_password: {db_password}
      druid_coordinator_balancer_strategy: cachingCost
      druid_indexer_runner_javaOptsArray: ''
      druid_indexer_fork_property_druid_processing_buffer_sizeBytes: 268435456
      druid_storage_type: azure
      druid_azure_account: YOURACCOUNT
      druid_azure_key: YOURKEY
      druid_azure_container: druid
      druid_azure_protocol: https
      druid_azure_maxTries: 3
      DRUID_LOG4J: '<?xml version="1.0" encoding="UTF-8" ?><Configuration status="WARN"><Appenders><Console name="Console" target="SYSTEM_OUT"><PatternLayout pattern=" %p [%t] %c - %m%n"/></Console></Appenders><Loggers><Root level="info"><AppenderRef ref="Console"/></Root><Logger name="org.apache.druid.jetty.RequestLog" additivity="false" level="DEBUG"><AppenderRef ref="Console"/></Logger></Loggers></Configuration>'
